﻿using UnityEngine;
using System.Collections;

public class BigExplosionBehaviour : MonoBehaviour {

	private float fadeValue = 1.0f;
	private float fadeAmount = 0.05f;
	private SpriteRenderer sRenderer;
	
	void Start() {
		sRenderer = ((SpriteRenderer)GetComponent("SpriteRenderer"));

		// Play explosion noise on creation
		GameObject.Find("ExplosionSound").audio.Play();
	}
	
	// Update is called once per frame
	void Update () {
		// Fade the alpha until it should be removed
		sRenderer.color = new Color(1,1,1, fadeValue);
		fadeValue -= fadeAmount;
		
		if(fadeValue < 0f) {
			Destroy(gameObject);
		}
	}
}
